Subject: [Fwd: Re: body test?]

From: Alexey Melnikov <[email-masked]>
Date: Sun, 11 Apr 1999 01:45:43 +0400

Here is several letters from my conversation with John Beck.

-------- Original Message --------
Subject: Re: body test?
Date: Sat, 10 Apr 1999 02:24:34 +0400
From: Alexey Melnikov <[email-masked]>
To: John Beck <[email-masked]>
References: <[email-masked]>

John Beck wrote:

> I searched the archive and found only a couple of ancient messages that
> discussed this, and then only in passing.  There is no body test.  One of
> those messages suggested it was too expensive in general (which it may well
> be); another that it was fodder for a future extension (which it also may
> well be).

What kind of test for body do you want? Do you want to search for
substring in
any text/plain part?
Do you want to search for regular expression?

> I'm particularly interested in what others think of the tradeoffs of end-user
> usefulness vs added costs in performance and complexity of implementation.
> As a user, I want this.  As an implementor, I'm not sure.

Personally I don't want to copy every bit of code that I have in IMAP (I
mean all
types of SEARCH criteria) into SIEVE implementation.

Also I don't think that every SIEVE environment can give you access to
body.

>  Comments?
> -- John

Alexey Melnikov
---------------------------------------------------------
Execmail and ISODE have merged into Messaging Direct
---------------------------------------------------------

-------- Original Message --------
Subject: Re: body test?
Date: Sat, 10 Apr 1999 19:44:50 +0400
From: Alexey Melnikov <[email-masked]>
To: John Beck <[email-masked]>
References: <[email-masked]>

John Beck wrote:

> +> I searched the archive and found only a couple of ancient messages that
> +> discussed this, and then only in passing. There is no body test. One of
> +> those messages suggested it was too expensive in general (which it may well
> +> be); another that it was fodder for a future extension (which it also may
> +> well be).
>
> Alexey> What kind of test for body do you want? Do you want to search for
> Alexey> substring in any text/plain part? Do you want to search for regular
> Alexey> expression?
>
> Yes and Yes.  Also, the ability to determine if the message contained an
> arbitrary MIME type.  E.g.,:
>         if body.content :contains "image/*" {
>                 fileinto "X";
>         } elsif body.text :contains "<regex for 10+ '$' characters>" {
>                 fileinto "Y";
>         }

It seems that you want to have something like IMAP BODYSTRUCTURE (i.e.
you want
headers of enclosed parts).
I think that in some environment it is more likely to get BODYSTRUCTURE
than
arbitrary access to message body.

Alexey